WaitingThread (Neo4j Community 1.8.RC1 API)
Date: 2012-09-07

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Neo4j Community
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.neo4j.kernel.info
Class WaitingThread

    java.lang.Object
      org.neo4j.kernel.info.LockingTransaction
          org.neo4j.kernel.info.WaitingThread

All Implemented Interfaces:
  Serializable

    public final class WaitingThread

extends LockingTransaction

See Also:
  Serialized Form

Constructor Summary
`WaitingThread(String transaction, int readCount, int writeCount, long threadId, String threadName, long waitingSince, boolean writeLock)`

Method Summary
`static WaitingThread` | `create(String transaction, int readCount, int writeCount, Thread thread, long waitingSince, boolean isWriteLock)`
`long` | `getThreadId()`
`String` | `getThreadName()`
`long` | `getWaitingSince()`
`boolean` | `isWaitingOnReadLock()`
`boolean` | `isWaitingOnWriteLock()`
`String` | `toString()`

Methods inherited from class org.neo4j.kernel.info.LockingTransaction
`getReadCount, getTransaction, getWriteCount`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### WaitingThread

    @ConstructorProperties(value={"transaction","readCount","writeCount","threadId","threadName","waitingSince","waitingOnWriteLock"})
    public WaitingThread(String transaction,
                                                    int readCount,
                                                    int writeCount,
                                                    long threadId,
                                                    String threadName,
                                                    long waitingSince,
                                                    boolean writeLock)

Method Detail

### create

    public static WaitingThread create(String transaction,
                                       int readCount,
                                       int writeCount,
                                       Thread thread,
                                       long waitingSince,
                                       boolean isWriteLock)

### toString

    public String toString()

  Overrides:
    `toString` in class `LockingTransaction`

### isWaitingOnReadLock

    public boolean isWaitingOnReadLock()

### isWaitingOnWriteLock

    public boolean isWaitingOnWriteLock()

### getThreadId

    public long getThreadId()

### getThreadName

    public String getThreadName()

### getWaitingSince

    public long getWaitingSince()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Neo4j Community
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2012 The Neo4j Graph Database Project. All Rights Reserved.